<div style="margin-bottom: 15px; margin-top: 10px;">
    <h5>
       <span jhiTranslate="mpmApp.facility.home.title">Facilities</span>
    </h5>
    <p-dataTable
        [value]="facilities"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idFacility"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
                    <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['facility-popup-new'] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
            <!-- <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="process()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-dot-circle-o"></i> &nbsp;{{ 'entity.action.process' | translate }}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['facility-popup-new'] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul> -->
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.facility.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.facility.facilityCode'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.facilityCode}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.facility.description'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.description}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.facility.facilityType'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.facilityTypeId">
                    <a [routerLink]="['../facility-type', rowData.facilityTypeId  ]" >{{rowData.facilityTypeDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.facility.partOf'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.partOfId">
                    <a [routerLink]="['../facility', rowData.partOfId  ]" >{{rowData.partOfDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="Status">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.status}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <button pButton type="submit"
                        [routerLink]="['../facility', rowData.idFacility]"
                        icon="fa-eye"
                        class="flat-button">
                </button> -->
                <button pButton type="submit"
                        [routerLink]="['../facility/0/' + page + '/' + rowData.idFacility + '/edit']"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                    (click)="delete(rowData.idFacility)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>